
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_CONTAINER_BODY_ITERATOR_H
#define PG_CONTAINER_BODY_ITERATOR_H

#include "BodyIter.h"

class EmbedContMdl;

class ContainerBodyIter: public BodyIter {
	public:
		ContainerBodyIter();

		virtual void configure(WrBuf *aBuf, Size aContSize);
		virtual void reset();

		void embedContModel(EmbedContMdl *aModel);

		virtual void pour();

	protected:
		Size embed(); // writes embedded oid tag

	protected:
		EmbedContMdl *theModel;
		int theEmbedGoal;     // how many objects to embed
		int theEmbedCount;    // number of objects embedded so far
		int theNewEmbedCount; // new embedded objects produced so far
		Size theEmbedDist;    // ~ distance between embed tags
};

#endif
