
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_POP_DISTRIBUTION_CLASS_H
#define PGL_POP_DISTRIBUTION_CLASS_H

class ostream;
class RndGen;

// popularity distribution interface

class PopDistr {
	public:
		virtual ~PopDistr() {}

		// selects an object name from [1, lastName] range
		virtual int choose(RndGen &rng, int lastName) = 0;

		virtual ostream &print(ostream &os) const = 0;
};

#endif
