
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */


#include "polygraph.h"

#include "TextDbase.h"


TextDbase::TextDbase() {
}

TextDbase::~TextDbase() {
	while (theStrs.count())
		delete theStrs.pop();
}

void TextDbase::name(const String &aName) {
	theName = aName;
}

void TextDbase::load(istream &is) {
	char buf[16*1024];
	while (is.getline(buf, sizeof(buf))) {
		if (const int len = strlen(buf))
			add(buf, len);
	}
}

void TextDbase::add(const char *str, int len) {
	char *dup = new char[len+1];
	strncpy(dup, str, len);
	theStrs.append(dup);
	theLens.append(len);
}
