
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PGL_STRING_IS_H
#define PGL_STRING_IS_H

class String;
class Time;
class BigSize;

extern bool pglIsRatio(const String &str, double &r);
extern bool pglIsRelTime(const String &str, Time &t);
extern bool pglIsAbsTime(const String &str, Time &t);
extern bool pglIsSize(const String &str, BigSize &s);
extern bool pglIsNetAddr(const String &str, String &host, int &port);

#endif
