
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "xstd.h"

#include <iostream.h>

#include "SrcLoc.h"


SrcLoc::SrcLoc(const String &aFName, int aLineNo):
	theFName(aFName), theLineNo(aLineNo) {
}

bool SrcLoc::sameLine(const SrcLoc &t) const {
	return theFName && theFName == t.theFName && theLineNo == t.theLineNo;
}

ostream &SrcLoc::print(ostream &os) const {
	if (theFName)
		os << theFName << ':' << theLineNo << ": ";
	return os;
}
